UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
com.latencybusters.lbm.LBMEventQueue Class Reference

LBM Event Queue class. This class may be subclassed to override the default event queue monitoring method or an LBMEventQueueCallback interface may be specified to handle the monitor callback. More...

Inheritance diagram for com.latencybusters.lbm.LBMEventQueue:

## Public Member Functions
| LBMEventQueue ()
| Instantiate an LBM Event Queue object using default attributes. See Event Queue Object for a full description of Event Queues.
| LBMEventQueue (LBMEventQueueAttributes lbmevqattr)
| Instantiate an LBM Event Queue object using the given attributes. See Event Queue Object for a full description of Event Queues. More...
void | close ()
| Close and dispose of this event queue. More...
int | size ()
| Determine the number of queued events in the event queue. More...
int | shutdown ()
| Shutdown the event queue by purging any pending events and not allowing additional events to be added to the queue. More...
string | getAttributeValue (string attributeName)
| Returns the value of an event queue-related attribute for this event queue. More...
unsafe List< LBMConfigOption > | dumpAttributeList ()
| Dump source configuration options. More...
void | setAttributeValue (string attributeName, string attributeValue)
| Set the value of an event queue-related attribute for this event queue. More...
void | run (long milliseconds)
| Dispatch waiting events to the appropriate callback methods. More...
void | stop ()
| Signal any threads dispatching the event queue to return as soon as possible. More...
void | addMonitor (LBMEventQueueCallback cb)
| Register a monitor callback. More...
void | addMonitor (LBMEventQueueCallback cb, Object cbArg)
| Register a monitor callback. More...
void | removeMonitor (LBMEventQueueCallback cb)
| Deregister a monitor callback. More...
void | removeMonitor (LBMEventQueueCallback cb, Object cbArg)
| Deregister a monitor callback. More...
LBMEventQueueStatistics | getStatistics ()
| Return the current set of statistics for this context. More...
void | resetStatistics ()
| This will reset the statistics for this event queue. More...
void | Dispose ()
| Same as close. More...

## Public Attributes
int | maxIterationRunTime = 1000
| Maximum number of milliseconds that the event queue dispatcher should spend inside of the C level dispatcher at any particular time. This is an internal framework tuning parameter and should not be changed.

## Detailed Description

LBM Event Queue class. This class may be subclassed to override the default event queue monitoring method or an LBMEventQueueCallback interface may be specified to handle the monitor callback.

## Constructor & Destructor Documentation

com.latencybusters.lbm.LBMEventQueue.LBMEventQueue | ( | LBMEventQueueAttributes | lbmevqattr | ) |

Instantiate an LBM Event Queue object using the given attributes. See Event Queue Object for a full description of Event Queues.

Parameters

  lbmevqattr | LBMEventQueueAttributes used to initialize the event queue

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), and com.latencybusters.lbm.LBMEventQueueAttributes.setValue().

## Member Function Documentation

void com.latencybusters.lbm.LBMEventQueue.addMonitor | ( | LBMEventQueueCallback | cb | ) |

Register a monitor callback.

See also
  LBMEventQueueCallback
  removeMonitor

Parameters

  cb | Callback implementing the LBMEventQueueCallback delegate interface

void com.latencybusters.lbm.LBMEventQueue.addMonitor | ( | LBMEventQueueCallback | cb,
|  | Object | cbArg
| ) |  |

Register a monitor callback.

See also
  LBMEventQueueCallback
  removeMonitor

Parameters

  cb | Callback implementing the LBMEventQueueCallback delegate interface
  cbArg | Callback token object

void com.latencybusters.lbm.LBMEventQueue.close | ( |  | ) |

Close and dispose of this event queue.

Since this method deletes the underlying LBM event queue object, it should not be called prior to closing or canceling of its dependent objects (e.g., LBMSource, LBMReceiver, LBMRequest, LBMTimer).

void com.latencybusters.lbm.LBMEventQueue.Dispose | ( |  | ) |

Same as close.

See also
  close

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

unsafe List<LBMConfigOption> com.latencybusters.lbm.LBMEventQueue.dumpAttributeList | ( |  | ) |

Dump source configuration options.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  An array of LBMConfigOptions

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), com.latencybusters.lbm.LBMConfigOption.OptionName, com.latencybusters.lbm.LBMConfigOption.Type, and com.latencybusters.lbm.LBMConfigOption.Value.

string com.latencybusters.lbm.LBMEventQueue.getAttributeValue | ( | string | attributeName | ) |

Returns the value of an event queue-related attribute for this event queue.

Parameters

  attributeName | Name of the attribute to retrieve

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Value corresponding to the specified attribute name

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

LBMEventQueueStatistics com.latencybusters.lbm.LBMEventQueue.getStatistics | ( |  | ) |

Return the current set of statistics for this context.

Returns
  LBMEventQueueStatistics object containing the statistics corresponding to this event queue.

References com.latencybusters.lbm.LBMEventQueueStatistics.refresh(), and com.latencybusters.lbm.LBMObjectRecyclerBase.retrieveEventQueueStatistics().

void com.latencybusters.lbm.LBMEventQueue.removeMonitor | ( | LBMEventQueueCallback | cb | ) |

Deregister a monitor callback.

See also
  LBMEventQueueCallback
  addMonitor

Parameters

  cb | Previously registered callback implementing the LBMEventQueueCallback delegate interface

void com.latencybusters.lbm.LBMEventQueue.removeMonitor | ( | LBMEventQueueCallback | cb,
|  | Object | cbArg
| ) |  |

Deregister a monitor callback.

See also
  LBMEventQueueCallback
  addMonitor

Parameters

  cb | Previously registered callback implementing the LBMEventQueueCallback delegate interface
  cbArg | Token for previously registered callback

References com.latencybusters.lbm.LBMEventQueueCallback().

void com.latencybusters.lbm.LBMEventQueue.resetStatistics | ( |  | ) |

This will reset the statistics for this event queue.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), com.latencybusters.lbm.LBM.errorNumber(), and com.latencybusters.lbm.LBMEventQueueCallback().

void com.latencybusters.lbm.LBMEventQueue.run | ( | long | milliseconds | ) |

Dispatch waiting events to the appropriate callback methods.

Parameters

  milliseconds | Number of milliseconds to block before returning.

References com.latencybusters.lbm.LBM.EVENT_QUEUE_BLOCK.

void com.latencybusters.lbm.LBMEventQueue.setAttributeValue | ( | string | attributeName,
|  | string | attributeValue
| ) |  |

Set the value of an event queue-related attribute for this event queue.

Parameters

  attributeName | Name of the attribute to set
  attributeValue | New attribute value

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

int com.latencybusters.lbm.LBMEventQueue.shutdown | ( |  | ) |

Shutdown the event queue by purging any pending events and not allowing additional events to be added to the queue.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Always returns 0 although an exception may be thrown in event of an error.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

int com.latencybusters.lbm.LBMEventQueue.size | ( |  | ) |

Determine the number of queued events in the event queue.

This method is only supported when the queue_size_warning config variable is set. If not set, then this function will throw an exception with an error number == LBM.EINVAL.

Exceptions

  com.latencybusters.lbm.LBMException | Invalid argument or unexpected operational behavior has been encountered by unmanaged LBM C layer function.

Returns
  Number of events queued on the event queue.

References com.latencybusters.lbm.LBM.errorMessage(), and com.latencybusters.lbm.LBM.errorNumber().

void com.latencybusters.lbm.LBMEventQueue.stop | ( |  | ) |

Signal any threads dispatching the event queue to return as soon as possible.

See also
  run

The documentation for this class was generated from the following file:

- LBMEventQueue.cs